# Enum Class AdqlFeature.Type

java.lang.Object
java.lang.Enum<AdqlFeature.Type>
uk.ac.starlink.vo.AdqlFeature.Type

All Implemented Interfaces:
  `Serializable, Comparable<AdqlFeature.Type>, Constable`

Enclosing class:
  `AdqlFeature`

public static enum AdqlFeature.Type extends Enum<AdqlFeature.Type>
Datatype of a function argument or return value.

Since:
  23 Feb 2024
Author:
  Mark Taylor

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ANY`
`CIRCLE`
`DOUBLE`
`GEOM`
`INTEGER`
`POINT`
`POLYGON`
`REGION`
`STRING`

## Method Summary

Modifier and Type
Method
Description
`static AdqlFeature.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AdqlFeature.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DOUBLE

public static final AdqlFeature.Type DOUBLE

### INTEGER

public static final AdqlFeature.Type INTEGER

### STRING

public static final AdqlFeature.Type STRING

### POINT

public static final AdqlFeature.Type POINT

### CIRCLE

public static final AdqlFeature.Type CIRCLE

### POLYGON

public static final AdqlFeature.Type POLYGON

### REGION

public static final AdqlFeature.Type REGION

### GEOM

public static final AdqlFeature.Type GEOM

### ANY

public static final AdqlFeature.Type ANY

## Method Details

### values

public static AdqlFeature.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AdqlFeature.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null